Redmine - Patch #3836

Git repository support fails on Windows
2009-09-08 21:15 - Michael Vance

Status: Closed Start date: 2009-09-08
Priority: Normal Due date:

Assignee: % Done: 100%
Category: SCM Estimated time: 0.00 hour
Target version:

Description
Git adapter uses a git command piped to wc to count lines, no wc in Windows, etc.

History

#1 - 2009-09-10 03:03 - Eric Davis

Jean-Philippe, can you take a look at this patch? | don't have access to a Windows system with Redmine.

#2 - 2009-09-10 18:57 - Babar O'Cap
Michael Vance> See my workaround, Bare repository on Windows on wiki page RedmineRepositories

#3 - 2009-09-11 08:59 - Adam Soltys

Thanks for catching and patching this Michael. | can't believe | let this slip. | was a big Windows user until just this year and | always hated how it
was treated as a second-class citizen by the Ruby community. Now here I've gone and done that myself. I'l make sure | remember to test any future

patches in Windows before releasing them.

#4 - 2009-12-21 00:55 - Jack Christensen
- File git_windows.diff added

The above patch causes num_revisions to always return 2.

I've added a patch that should return the correct number of revisions.

#5 - 2010-03-03 19:53 - Toshi MARUYAMA
- Status changed from New to Resolved

- % Done changed from 0 to 100

This code is removed from trunk by r3394 and 0.9 stable by r3501.

#6 - 2010-03-03 23:01 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Indeed. This is fixed in 0.9.3.

Files
redmine-git-no-wc.diff 664 Bytes 2009-09-08 Michael Vance
git_windows.diff 1.33 KB 2009-12-20 Jack Christensen

2025-05-17

1/1



https://www.redmine.org/projects/redmine/wiki/RedmineRepositories#Git-repository
https://www.redmine.org/projects/redmine/repository/svn/revisions/3394
https://www.redmine.org/projects/redmine/repository/svn/revisions/3501
